/*
 * Constants.java
 *
 * Copyright (C) 2007 Takis Diakoumis
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */

package org.underworldlabs.jobexftp;

/**
 *
 * @author takisd
 */
public class Constants {

    /** path to the action definitions XML file */
    public static final String ACTION_CONF_PATH = "org/underworldlabs/jobexftp/actions.xml";

    /** IrDA connection type */
    public static final int IRDA_CONNECTION = 0;

    /** Bluetooth connection type */
    public static final int BLUETOOTH_CONNECTION = 1;

    /** USB connection type */
    public static final int USB_CONNECTION = 2;

    /** serial connection type */
    public static final int SERIAL_CONNECTION = 3;

    /** network connection type */
    public static final int NETWORK_CONNECTION = 4;

    /** Indicator for connected */
    public static final int CONNECTED = 1;
    
    /** Indicator for I/O process error */
    public static final int PROCESS_ERROR = 0;
    
    /** Indicator for a cancelled process */
    public static final int PROCESS_CANCELLED = -1;
    
    /** extension names for image file types */
    public static final String[] IMAGE_EXTENSIONS = {"JPEG", "BMP", "JPG", "GIF", "PNG"};
    
    private Constants() {}
    
}



