/*
 * JObexToolBar.java
 *
 * Copyright (C) 2007 Takis Diakoumis
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */

package org.underworldlabs.jobexftp;

import org.underworldlabs.jobexftp.util.SystemResources;
import org.underworldlabs.swing.toolbar.DefaultToolBarManager;
import org.underworldlabs.util.SystemProperties;

/**
 *
 * @author Takis Diakoumis
 */
public class JObexToolBar extends DefaultToolBarManager {
    
    /** Reference to the file tool bar */
    public static final String FILE_TOOLS = "File Tools";
    
    /** Reference to the edit tool bar */
    public static final String ACTION_TOOLS = "Action Tools";

    /** Creates a new instance of JObexToolBar */
    public JObexToolBar() {
        super(SystemResources.getToolbarUserPath(),
              SystemResources.getToolbarResourcePath());

        try {
            buildToolbars(false);
        }
        catch(Exception e) {
            e.printStackTrace();
        }
    }
    
    /**
     * Builds (or rebuilds) the tool bars for the current application.
     *
     * @param rebuild - whether this is a rebuild of an existing tool bar
     */
    public void buildToolbars(boolean rebuild) {
        
        if (rebuild) {
            reset();
        }
        
        buildToolBar(FILE_TOOLS, rebuild);
        buildToolBar(ACTION_TOOLS, rebuild);

        if (rebuild) {
            fireToolbarsChanged();
        }
        
    }
    
}



