/*
 * ObexProcessCommand.java
 *
 * Copyright (C) 2007 Takis Diakoumis
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */

package org.underworldlabs.jobexftp.actions;

import org.underworldlabs.jobexftp.InterruptibleProcess;
import org.underworldlabs.jobexftp.JObexController;
import org.underworldlabs.jobexftp.util.GUIUtilities;
import org.underworldlabs.swing.util.SwingWorker;

/**
 *
 * @author Takis Diakoumis
 */
public abstract class ObexProcessCommand extends BaseObexCommand 
                                         implements InterruptibleProcess {
    
    /** swing worker thread */
    protected SwingWorker worker;

    /**
     * Cancels the current process and/or thread.
     */
    public void cancel() {
        try {
            if (worker != null) {
                worker.interrupt();
            }
        }
        finally {
            JObexController.cancelRunningProcess();
        }
    }
    
}



