/*
 * ObexFolder.java
 *
 * Copyright (C) 2007 Takis Diakoumis
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */

package org.underworldlabs.jobexftp.obexobjects;

import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author Takis Diakoumis
 */
public class ObexFolder extends ObexObject implements java.io.Serializable {
    
    /** list of folders within this folder */
    private List<ObexFolder> obexFolders;

    /** list of files within this folder */
    private List<ObexFile> obexFiles;
   
    /** Creates a new instance of ObexFolder */
    public ObexFolder() {}

    public ObexFolder(String name) {
        super(name);
    }

    public List<ObexFolder> getObexFolders() {
        return obexFolders;
    }

    public void setObexFolders(List<ObexFolder> obexFolders) {
        this.obexFolders = obexFolders;
    }

    public void addObexFolder(ObexFolder obexFolder) {
        if (obexFolders == null) {
            obexFolders = new ArrayList<ObexFolder>();
        }
        obexFolders.add(obexFolder);
    }

    public List<ObexFile> getObexFiles() {
        return obexFiles;
    }

    public void setObexFiles(List<ObexFile> obexFiles) {
        this.obexFiles = obexFiles;
    }

    public void addObexFile(ObexFile obexFile) {
        if (obexFiles == null) {
            obexFiles = new ArrayList<ObexFile>();
        }
        obexFiles.add(obexFile);
    }

}



