/*
 * ObexObject.java
 *
 * Copyright (C) 2007 Takis Diakoumis
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */

package org.underworldlabs.jobexftp.obexobjects;

/**
 * Defines a POJO as an Obex type object (file, folder, etc).
 *
 * @author takis Diakoumis
 */
public class ObexObject {
    
    /** the folder name */
    private String name;

    /** the path of this folder */
    private String path;

    public ObexObject() {}
    
    public ObexObject(String name) {
        this(name, null);
    }

    public ObexObject(String name, String path) {
        this.name = name;
        this.path = path;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPath() {
        if (path == null) {
            path = name;
        }
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public String toString() {
        return name;
    }
    
}



